%define major		1
%define libname		%mklibname xxf86vm %major
%define develname	%mklibname xxf86vm -d
%define staticname	%mklibname xxf86vm -d -s

Name:		libxxf86vm
Summary:	XFree86 Video Mode Extension Library
Version:	1.0.1
Release:	%mkrel 3
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86vm-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root

BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libx11-devel		>= 1.1.3
BuildRequires: libxdmcp-devel		>= 1.0.2
BuildRequires: libxau-devel		>= 1.0.3
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libxext-devel		>= 1.0.3

%description
XFree86 Video Mode Extension Library

#-----------------------------------------------------------

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Video Mode Extension Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %{mklibname xxf86vm 1 -d}

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXxf86vm.so
%{_libdir}/libXxf86vm.la
%{_libdir}/pkgconfig/xxf86vm.pc
%{_mandir}/man3/XF86VidMode*.*
%{_mandir}/man3/XF86VM.*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0
Obsoletes: %{mklibname xxf86vm 1 -d -s}

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXxf86vm.a

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86vm-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXxf86vm.so.%{major}*



%changelog
* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-3mdv2008.1
+ Revision: 152768
- Update BuildRequires and rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.1-3mdv2008.0
+ Revision: 68819
- rebuild for 2008
- new devel policy
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-17 02:50:41 (27495)
- Add packager tag

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

